#ifndef _KILOUTOUMACHINE_H
#define _KILOUTOUMACHINE_H

#include <System.hpp>
#include <dstring.h>
#include <stdio.h>       
#include <stdctrls.hpp>

class CKiloutouMachine
{
    private:

        AnsiString      m_asNom;
        AnsiString      m_asDescription;
        double          m_dPrixDeLocationMensuel;
        int             m_ID_Materiel;

    public:
        __fastcall CKiloutouMachine( const AnsiString &asNom,
                                     const AnsiString &asDescription,
                                     const double &dPrix,
                                     const int &ID_Materiel);
        __fastcall CKiloutouMachine( void );

        virtual bool __fastcall Ajouter( void ) = 0;
        virtual bool __fastcall Modifier( void ) = 0;
        virtual bool __fastcall Supprimer( void ) = 0;

        virtual void __fastcall AjouterListe( TStrings * MaStrings );
        virtual void __fastcall EffacerTable( void );

    private:
        virtual AnsiString __fastcall GetLibelle( void );

    public:
        __property AnsiString __fastcall Nom            = { read=m_asNom, write=m_asNom };
        __property AnsiString __fastcall Description    = { read=m_asDescription, write=m_asDescription };
        __property double     __fastcall Prix           = { read=m_dPrixDeLocationMensuel, write=m_dPrixDeLocationMensuel };
        __property int        __fastcall ID_Materiel    = { read=m_ID_Materiel, write=m_ID_Materiel };
        __property AnsiString __fastcall Libelle        = { read=GetLibelle };
};

#endif
